# https://github.com/grabbles/grabbit/issues/71 -> please include a license file in the release tar

%global srcname     grabbit
%global sum     Get grabby with file trees

Name:       python-%{srcname}
Version:    0.2.0
Release:    1%{?dist}
Summary:    %{sum}

License:    MIT
URL:        https://github.com/grabbles/%{srcname}
Source0:    https://github.com/grabbles/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz


BuildArch:      noarch

%description
Grabbit is a lightweight Python package for simple queries over filenames
within a project. It's geared towards projects or applications with highly
structured filenames that allow useful queries to be performed without having
to inspect the file metadata or contents.

%package -n python2-%{srcname}
Summary:        %{sum}
BuildRequires:  python2-devel
BuildRequires:  %{py2_dist setuptools}
BuildRequires:  %{py2_dist pytest}
BuildRequires:  %{py2_dist six}
BuildRequires:  %{py2_dist hdfs}
BuildRequires:  %{py2_dist inflect}
BuildRequires:  %{py2_dist pytest-capturelog}
Requires:       %{py2_dist pandas}
Requires:       %{py2_dist six}
Requires:       %{py2_dist hdfs}
Requires:       %{py2_dist inflect}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Grabbit is a lightweight Python package for simple queries over filenames
within a project. It's geared towards projects or applications with highly
structured filenames that allow useful queries to be performed without having
to inspect the file metadata or contents.


%package -n python3-%{srcname}
Summary:        %{sum}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist six}
BuildRequires:  %{py3_dist hdfs}
BuildRequires:  %{py3_dist inflect}
BuildRequires:  %{py3_dist pytest-capturelog}
Requires:       %{py3_dist pandas}
Requires:       %{py3_dist six}
Requires:       %{py3_dist hdfs}
Requires:       %{py3_dist inflect}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Grabbit is a lightweight Python package for simple queries over filenames
within a project. It's geared towards projects or applications with highly
structured filenames that allow useful queries to be performed without having
to inspect the file metadata or contents.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf *.egg-info

%build
%py2_build
%py3_build


%install
%py2_install
%py3_install

%check
# Failing at the moment
# https://github.com/grabbles/grabbit/issues/72
# %{__python2} setup.py test
# %{__python3} setup.py test

%files -n python2-%{srcname}
%doc README.md examples
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{srcname}/

%files -n python3-%{srcname}
%doc README.md examples
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{srcname}/

%changelog
* Thu Jun 28 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.0-1
- Update to 0.2.0
- Update as per review comments

* Mon Jan 15 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.0-1
- Initial build
